function [  ] = PicToPlot( filename )
%Reads a file, prompts for croping, than sums the cropped image to craete a
%   plot. 
ratio = 2/422;

x_axis = 1:1:480;
x_axis = x_axis - 56;
x_axis = x_axis*ratio;
x_axis = fliplr(x_axis);

y_axis = 1:1:30;
y_axis = y_axis*ratio;

clf
guide_pic = imcrop(rgb2gray(imread(filename)))';
guide_pic(30, 480) = 0;
plot_line = sum(guide_pic);
figure(1)
subplot(2, 1, 1)
imagesc(x_axis, y_axis, guide_pic);
xlabel('Length along guide, cm', 'FontSize', 12)
ylabel('Length along guide, cm', 'FontSize', 12)
subplot(2, 1, 2)
plot(x_axis, plot_line)
xlabel('Length along guide, cm', 'FontSize', 12)
ylabel('Light intensity, scaled', 'FontSize', 12)
axis tight

saveas(gcf, strrep(filename, 'jpg', 'fig'));

end

